import {
  iactivity
} from '../../../api/api.js'
const app = getApp()

Page({
  data: {
    imgUrl: app.globalData.imgUrl,
    activity: {}
  },

  clickBotbtn() {
    // let user = wx.getStorageSync('user')
    // iactivity.loadSaveApply({
    //   reqdata: {id: this.data.activity.id}
    // }, r => {
    //   wx.showToast({
    //     title: '活动参加成功！',
    //     icon: 'none'
    //   })
    //   wx.reLaunch({
    //     url: '/pages/home/home',
    //   })
    // })
    wx.navigateTo({
      url: '../register/register?id=' + this.data.activity.id
    })
  },
  onLoad(args) {
    iactivity.loadActivitydetails({
      reqdata: {id: args.id}
    }, r => {
      this.setData({
        activity: r.object,
      })
    })

  }

})